#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=simla2.50_depth_histogram.ps
projection=-JX12/10
region=-R0/36/0/11
gmt pshistogram $projection $region -W1 -F -Gcyan -L1p -Z0 -Bxa10f1+l'Depth (km)' -Bya10f1+lCounts -BWeSn+t'Focal Depths simla2.50' -K <<END>> $psfile
    15.000
    19.000
     9.000
    31.000
    14.000
    14.000
    31.000
    10.000
    15.000
    30.000
     7.000
    18.000
     9.000
    12.000
    22.000
    16.000
    25.000
     9.000
    10.000
    15.000
    27.000
    14.000
    23.000
    13.000
    12.000
    15.000
    17.000
    15.000
    28.000
    10.000
     9.000
    17.000
    29.000
    10.000
     8.000
    31.000
    10.000
    14.000
     6.000
    29.000
    26.000
    23.000
    12.000
     7.000
     4.000
     9.000
    10.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -K -O << END >> $psfile
    10.340     1.000 Median of constrained depths = 14.0
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -O << END >> $psfile
     9.680     1.000 Spread of constrained depths =  6.1
END
